Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class DTDVersion

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.DTDVersion

All Implemented Interfaces:
  Comparable

public class DTDVersion
extends Object
implements Comparable

An enumeration of values for the `<nds>` element's `dtdversion` attribute.

NOTE: This attribute has been reinterpreted to mean the version of Identity Manager a driver was designed for. As such, version numbers > 2.0 no longer affects how documents are parsed or validated.

Field Summary
`static DTDVersion` | `CURRENT` The latest `dtdversion` attribute value.
`static DTDVersion` | `ILLEGAL` Deprecated. no longer used; any value is legal
`static DTDVersion` | `UNKNOWN` A `<nds>` element has no `dtdversion` attribute or no `dtdversion` attribute value.
`static DTDVersion` | `V1_0` A `<nds>` element has a `dtdversion` attribute value of `"1.0"`.
`static DTDVersion` | `V1_1` A `<nds>` element has a `dtdversion` attribute value of `"1.1"`.
`static DTDVersion` | `V2_0` A `<nds>` element has a `dtdversion` attribute value of `"2.0"`.
`static DTDVersion` | `V3_0` A `<nds>` element has a `dtdversion` attribute value of `"3.0"`.

Method Summary
`int` | `compareTo(Object someVersion)` Compares this version to `someVersion`.
`boolean` | `equals(Object someVersion)` Compares this verison to `someVersion`.
`boolean` | `equals(String someVersion)` Compares this verison to `someVersion`.
`String` | `toString()` Returns a string representation of this version (e.g., "1.0", "1.1").

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### V1_0

    public static final DTDVersion V1_0

  A `<nds>` element has a `dtdversion` attribute value of `"1.0"`. NOTE: this value DOES affect how documents are parsed and validated

### V1_1

    public static final DTDVersion V1_1

  A `<nds>` element has a `dtdversion` attribute value of `"1.1"`. NOTE: this value DOES affect how documents are parsed and validated

### V2_0

    public static final DTDVersion V2_0

  A `<nds>` element has a `dtdversion` attribute value of `"2.0"`. NOTE: this value DOES affect how documents are parsed and validated

### V3_0

    public static final DTDVersion V3_0

  A `<nds>` element has a `dtdversion` attribute value of `"3.0"`. NOTE: this value DOES NOT affect how documents are parsed and validated

### CURRENT

    public static final DTDVersion CURRENT

  The latest `dtdversion` attribute value.

  NOTE: use of this value is discouraged given the new interpretation of this attribute; it's preferable that a driver writer use one of the specific version numbers to deliberately indicate which version of IDM a driver was written for; using this value will cause the value to go up whenever this library is patched NOTE: this value DOES NOT affect how documents are parsed and validated

### UNKNOWN

    public static final DTDVersion UNKNOWN

  A `<nds>` element has no `dtdversion` attribute or no `dtdversion` attribute value.

### ILLEGAL

    public static final DTDVersion ILLEGAL

  Deprecated. no longer used; any value is legal

  A `<nds>` element has an illegal `dtdversion` attribute value.

Method Detail

### compareTo

    public int compareTo(Object someVersion)

  Compares this version to `someVersion`.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `someVersion` - must not be `null`
  Returns:
    `XDS.LESS_THAN`:
      if this version is less than `someVersion`
    `XDS.EQUAL`:
      if this version is equal to `someVersion`
    `XDS.GREATER_THAN`:
      if this version is greater than `someVersion`

### equals

    public boolean equals(Object someVersion)

  Compares this verison to `someVersion`.

  Parameters:
    `someVersion` - may be `null`
  Returns:
    `true`:
      if `someVersion` is equal to this version
    `false`:
      if `someVersion` is not equal to this version

### equals

    public boolean equals(String someVersion)

  Compares this verison to `someVersion`.

  Parameters:
    `someVersion` - may be `null`
  Returns:
    `true`:
      if `someVersion` is equal to this version
    `false`:
      if `someVersion` is not equal to this version

### toString

    public String toString()

  Returns a string representation of this version (e.g., "1.0", "1.1").

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD